Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -206,99 +193,98 @@
 	var $transformedRow = array();
 	var $extJSCODE = '';
 	var $printNeededJS = array();
-	var $hiddenFieldAccum=array();
+	var $hiddenFieldAccum = array();
-	var $TBE_EDITOR_fieldChanged_func='';
+	var $TBE_EDITOR_fieldChanged_func = '';
-	var $loadMD5_JS=1;
+	var $loadMD5_JS = 1;
-	var $prevBorderStyle='[nothing here...]';	// Something unique...
+	var $prevBorderStyle = '[nothing here...]'; // Something unique...
-	var $allowUpload=0; 				// If set direct upload fields will be shown
+	var $allowUpload = 0; // If set direct upload fields will be shown
-	var $titleLen=15; 					// @deprecated since TYPO3 4.1: $BE_USER->uc['titleLen'] but what is default??
+	var $titleLen = 15; // @deprecated since TYPO3 4.1: $BE_USER->uc['titleLen'] but what is default??
-	var $defaultLanguageData = array();	// Array where records in the default language is stored. (processed by transferdata)
+	var $defaultLanguageData = array(); // Array where records in the default language is stored. (processed by transferdata)
-	var $defaultLanguageData_diff = array();	// Array where records in the default language is stored (raw without any processing. used for making diff)
+	var $defaultLanguageData_diff = array(); // Array where records in the default language is stored (raw without any processing. used for making diff)
 	var $additionalPreviewLanguageData = array();
 
 
 		// EXTERNAL, static
-	var $backPath='';					// Set this to the 'backPath' pointing back to the typo3 admin directory from the script where this form is displayed.
+	var $backPath = ''; // Set this to the 'backPath' pointing back to the typo3 admin directory from the script where this form is displayed.
-	var $returnUrl='';					// Alternative return URL path (default is t3lib_div::linkThisScript())
+	var $returnUrl = ''; // Alternative return URL path (default is t3lib_div::linkThisScript())
-	var $doSaveFieldName='';			// Can be set to point to a field name in the form which will be set to '1' when the form is submitted with a *save* button. This way the recipient script can determine that the form was submitted for save and not "close" for example.
+	var $doSaveFieldName = ''; // Can be set to point to a field name in the form which will be set to '1' when the form is submitted with a *save* button. This way the recipient script can determine that the form was submitted for save and not "close" for example.
-	var $palettesCollapsed=0;			// Can be set true/false to whether palettes (secondary options) are in the topframe or in form. True means they are NOT IN-form. So a collapsed palette is one, which is shown in the top frame, not in the page.
+	var $palettesCollapsed = 0; // Can be set true/false to whether palettes (secondary options) are in the topframe or in form. True means they are NOT IN-form. So a collapsed palette is one, which is shown in the top frame, not in the page.
-	var $disableRTE=0;					// If set, the RTE is disabled (from form display, eg. by checkbox in the bottom of the page!)
+	var $disableRTE = 0; // If set, the RTE is disabled (from form display, eg. by checkbox in the bottom of the page!)
-	var $globalShowHelp=1;				// If false, then all CSH will be disabled, regardless of settings in $this->edit_showFieldHelp
+	var $globalShowHelp = 1; // If false, then all CSH will be disabled, regardless of settings in $this->edit_showFieldHelp
-	var $localizationMode='';			// If true, the forms are rendering only localization relevant fields of the records.
+	var $localizationMode = ''; // If true, the forms are rendering only localization relevant fields of the records.
-	var $fieldOrder='';					// Overrule the field order set in TCA[types][showitem], eg for tt_content this value, 'bodytext,image', would make first the 'bodytext' field, then the 'image' field (if set for display)... and then the rest in the old order.
+	var $fieldOrder = ''; // Overrule the field order set in TCA[types][showitem], eg for tt_content this value, 'bodytext,image', would make first the 'bodytext' field, then the 'image' field (if set for display)... and then the rest in the old order.
-	var $doPrintPalette=1;				// If set to false, palettes will NEVER be rendered.
+	var $doPrintPalette = 1; // If set to false, palettes will NEVER be rendered.
 
 	/**
 	 * Set to initialized clipboard object; Then the element browser will offer a link to paste in records from clipboard.
 	 *
 	 * @var t3lib_clipboard
 	 */
-	var $clipObj=FALSE;
+	var $clipObj = FALSE;
-	var $enableClickMenu=FALSE;			// Enable click menu on reference icons.
+	var $enableClickMenu = FALSE; // Enable click menu on reference icons.
-	var $enableTabMenu = FALSE;			// Enable Tab Menus.
+	var $enableTabMenu = FALSE; // Enable Tab Menus.
-	var $renderReadonly = FALSE; 		// When enabled all fields are rendered non-editable.
+	var $renderReadonly = FALSE; // When enabled all fields are rendered non-editable.
 
-	var $form_rowsToStylewidth = 9.58;	// Form field width compensation: Factor from NN4 form field widths to style-aware browsers (like NN6+ and MSIE, with the $CLIENT[FORMSTYLE] value set)
+	var $form_rowsToStylewidth = 9.58; // Form field width compensation: Factor from NN4 form field widths to style-aware browsers (like NN6+ and MSIE, with the $CLIENT[FORMSTYLE] value set)
-	var $form_largeComp = 1.33;			// Form field width compensation: Compensation for large documents, doc-tab (editing)
+	var $form_largeComp = 1.33; // Form field width compensation: Compensation for large documents, doc-tab (editing)
-	var $charsPerRow=40;				// The number of chars expected per row when the height of a text area field is automatically calculated based on the number of characters found in the field content.
+	var $charsPerRow = 40; // The number of chars expected per row when the height of a text area field is automatically calculated based on the number of characters found in the field content.
-	var $maxTextareaWidth=48;			// The maximum abstract value for textareas
+	var $maxTextareaWidth = 48; // The maximum abstract value for textareas
-	var $maxInputWidth=48;				// The maximum abstract value for input fields
+	var $maxInputWidth = 48; // The maximum abstract value for input fields
-	var $defaultMultipleSelectorStyle='width:250px;';	// Default style for the selector boxes used for multiple items in "select" and "group" types.
+	var $defaultMultipleSelectorStyle = 'width:250px;'; // Default style for the selector boxes used for multiple items in "select" and "group" types.
 
 
 		// INTERNAL, static
-	var $prependFormFieldNames = 'data';		// The string to prepend formfield names with.
+	var $prependFormFieldNames = 'data'; // The string to prepend formfield names with.
-	var $prependCmdFieldNames = 'cmd';			// The string to prepend commands for tcemain::process_cmdmap with.
+	var $prependCmdFieldNames = 'cmd'; // The string to prepend commands for tcemain::process_cmdmap with.
-	var $prependFormFieldNames_file = 'data_files';		// The string to prepend FILE form field names with.
+	var $prependFormFieldNames_file = 'data_files'; // The string to prepend FILE form field names with.
-	var $formName = 'editform';					// The name attribute of the form.
+	var $formName = 'editform'; // The name attribute of the form.
-	var $allowOverrideMatrix = array();			// Whitelist that allows TCA field configuration to be overridden by TSconfig, @see overrideFieldConf()
+	var $allowOverrideMatrix = array(); // Whitelist that allows TCA field configuration to be overridden by TSconfig, @see overrideFieldConf()
 
 
-
 		// INTERNAL, dynamic
-	var $perms_clause='';						// Set by readPerms()  (caching)
+	var $perms_clause = ''; // Set by readPerms()  (caching)
-	var $perms_clause_set=0;					// Set by readPerms()  (caching-flag)
+	var $perms_clause_set = 0; // Set by readPerms()  (caching-flag)
-	var $edit_showFieldHelp='';					// Used to indicate the mode of CSH (Context Sensitive Help), whether it should be icons-only ('icon'), full description ('text') or not at all (blank).
+	var $edit_showFieldHelp = ''; // Used to indicate the mode of CSH (Context Sensitive Help), whether it should be icons-only ('icon'), full description ('text') or not at all (blank).
-	var $docLarge=0;							// If set, the forms will be rendered a little wider, more precisely with a factor of $this->form_largeComp.
+	var $docLarge = 0; // If set, the forms will be rendered a little wider, more precisely with a factor of $this->form_largeComp.
-	var $clientInfo=array();					// Loaded with info about the browser when class is instantiated.
+	var $clientInfo = array(); // Loaded with info about the browser when class is instantiated.
-	var $RTEenabled=0;							// True, if RTE is possible for the current user (based on result from BE_USER->isRTE())
+	var $RTEenabled = 0; // True, if RTE is possible for the current user (based on result from BE_USER->isRTE())
-	var $RTEenabled_notReasons='';				// If $this->RTEenabled was false, you can find the reasons listed in this array which is filled with reasons why the RTE could not be loaded)
+	var $RTEenabled_notReasons = ''; // If $this->RTEenabled was false, you can find the reasons listed in this array which is filled with reasons why the RTE could not be loaded)
-	var $RTEcounter = 0;						// Counter that is incremented before an RTE is created. Can be used for unique ids etc.
+	var $RTEcounter = 0; // Counter that is incremented before an RTE is created. Can be used for unique ids etc.
 
-	var $colorScheme;							// Contains current color scheme
+	var $colorScheme; // Contains current color scheme
-	var $classScheme;							// Contains current class scheme
+	var $classScheme; // Contains current class scheme
-	var $defColorScheme;						// Contains the default color scheme
+	var $defColorScheme; // Contains the default color scheme
-	var $defClassScheme;						// Contains the default class scheme
+	var $defClassScheme; // Contains the default class scheme
-	var $fieldStyle;							// Contains field style values
+	var $fieldStyle; // Contains field style values
-	var $borderStyle;							// Contains border style values.
+	var $borderStyle; // Contains border style values.
 
-	var $commentMessages=array();				// An accumulation of messages from the class.
+	var $commentMessages = array(); // An accumulation of messages from the class.
 
 		// INTERNAL, templates
-	var $totalWrap='<hr />|<hr />';				// Total wrapping for the table rows.
+	var $totalWrap = '<hr />|<hr />'; // Total wrapping for the table rows.
-	var $fieldTemplate='<strong>###FIELD_NAME###</strong><br />###FIELD_ITEM###<hr />';	// Field template
+	var $fieldTemplate = '<strong>###FIELD_NAME###</strong><br />###FIELD_ITEM###<hr />'; // Field template
-	var $sectionWrap='';						// Wrapping template code for a section
+	var $sectionWrap = ''; // Wrapping template code for a section
-	var $palFieldTemplateHeader='';				// Template for palette headers
+	var $palFieldTemplateHeader = ''; // Template for palette headers
-	var $palFieldTemplate='';					// Template for palettes
+	var $palFieldTemplate = ''; // Template for palettes
 
 		// INTERNAL, working memory
-	var $excludeElements='';					// Set to the fields NOT to display, if any.
+	var $excludeElements = ''; // Set to the fields NOT to display, if any.
-	var $palettesRendered=array();				// During rendering of forms this will keep track of which palettes has already been rendered (so they are not rendered twice by mistake)
+	var $palettesRendered = array(); // During rendering of forms this will keep track of which palettes has already been rendered (so they are not rendered twice by mistake)
-	var $hiddenFieldListArr = array();			// This array of fields will be set as hidden-fields instead of rendered normally! For instance palette fields edited in the top frame are set as hidden fields since the main form has to submit the values. The top frame actually just sets the value in the main form!
+	var $hiddenFieldListArr = array(); // This array of fields will be set as hidden-fields instead of rendered normally! For instance palette fields edited in the top frame are set as hidden fields since the main form has to submit the values. The top frame actually just sets the value in the main form!
-	var $requiredFields=array();				// Used to register input-field names, which are required. (Done during rendering of the fields). This information is then used later when the JavaScript is made.
+	var $requiredFields = array(); // Used to register input-field names, which are required. (Done during rendering of the fields). This information is then used later when the JavaScript is made.
-	var $requiredAdditional=array();			// Used to register input-field names, which are required an have additional requirements (e.g. like a date/time must be positive integer). The information of this array is merged with $this->requiredFields later.
+	var $requiredAdditional = array(); // Used to register input-field names, which are required an have additional requirements (e.g. like a date/time must be positive integer). The information of this array is merged with $this->requiredFields later.
-	var $requiredElements=array();				// Used to register the min and max number of elements for selectorboxes where that apply (in the "group" type for instance)
+	var $requiredElements = array(); // Used to register the min and max number of elements for selectorboxes where that apply (in the "group" type for instance)
-	var $requiredNested=array();				// Used to determine where $requiredFields or $requiredElements are nested (in Tabs or IRRE)
+	var $requiredNested = array(); // Used to determine where $requiredFields or $requiredElements are nested (in Tabs or IRRE)
-	var $renderDepth=0;							// Keeps track of the rendering depth of nested records.
+	var $renderDepth = 0; // Keeps track of the rendering depth of nested records.
-	var $savedSchemes=array();					// Color scheme buffer.
+	var $savedSchemes = array(); // Color scheme buffer.
-	var $dynNestedStack = array();				// holds the path an element is nested in (e.g. required for RTEhtmlarea)
+	var $dynNestedStack = array(); // holds the path an element is nested in (e.g. required for RTEhtmlarea)
 
 		// Internal, registers for user defined functions etc.
-	var $additionalCode_pre = array();			// Additional HTML code, printed before the form.
+	var $additionalCode_pre = array(); // Additional HTML code, printed before the form.
-	var $additionalJS_pre = array();			// Additional JavaScript, printed before the form
+	var $additionalJS_pre = array(); // Additional JavaScript, printed before the form
-	var $additionalJS_post = array();			// Additional JavaScript printed after the form
+	var $additionalJS_post = array(); // Additional JavaScript printed after the form
-	var $additionalJS_submit = array();			// Additional JavaScript executed on submit; If you set "OK" variable it will raise an error about RTEs not being loaded and offer to block further submission.
+	var $additionalJS_submit = array(); // Additional JavaScript executed on submit; If you set "OK" variable it will raise an error about RTEs not being loaded and offer to block further submission.
-	var $additionalJS_delete = array();			// Additional JavaScript executed when section element is deleted. This is neceessary, for example, to correctly clean up HTMLArea RTE (bug #8232)
+	var $additionalJS_delete = array(); // Additional JavaScript executed when section element is deleted. This is neceessary, for example, to correctly clean up HTMLArea RTE (bug #8232)
 
 	/**
 	 * Instance of t3lib_tceforms_inline
@@ -306,37 +292,36 @@
 	 * @var t3lib_TCEforms_inline
 	 */
 	var $inline;
-	var $hookObjectsMainFields = array();			// Array containing hook class instances called once for a form
+	var $hookObjectsMainFields = array(); // Array containing hook class instances called once for a form
-	var $hookObjectsSingleField = array();			// Array containing hook class instances called for each field
+	var $hookObjectsSingleField = array(); // Array containing hook class instances called for each field
-	var $extraFormHeaders = array();			// Rows gettings inserted into the alt_doc headers (when called from alt_doc.php)
+	var $extraFormHeaders = array(); // Rows gettings inserted into the alt_doc headers (when called from alt_doc.php)
 
-	public $templateFile = '';						// Form templates, relative to typo3 directory
+	public $templateFile = ''; // Form templates, relative to typo3 directory
 
 
-
 	/**
 	 * Constructor function, setting internal variables, loading the styles used.
 	 *
 	 * @return	void
 	 */
-	function t3lib_TCEforms()	{
+	function t3lib_TCEforms() {
 		global $CLIENT, $TYPO3_CONF_VARS;
 
 		$this->clientInfo = t3lib_div::clientInfo();
 
 		$this->RTEenabled = $GLOBALS['BE_USER']->isRTE();
-		if (!$this->RTEenabled)	{
+		if (!$this->RTEenabled) {
-			$this->RTEenabled_notReasons = implode(LF,$GLOBALS['BE_USER']->RTE_errors);
+			$this->RTEenabled_notReasons = implode(LF, $GLOBALS['BE_USER']->RTE_errors);
-			$this->commentMessages[] = 'RTE NOT ENABLED IN SYSTEM due to:'.LF.$this->RTEenabled_notReasons;
+			$this->commentMessages[] = 'RTE NOT ENABLED IN SYSTEM due to:' . LF . $this->RTEenabled_notReasons;
 		}
 
 			// Default color+class scheme
 		$this->defColorScheme = array(
-			$GLOBALS['SOBE']->doc->bgColor,	// Background for the field AND palette
+			$GLOBALS['SOBE']->doc->bgColor, // Background for the field AND palette
-			t3lib_div::modifyHTMLColorAll($GLOBALS['SOBE']->doc->bgColor,-20),	// Background for the field header
+			t3lib_div::modifyHTMLColorAll($GLOBALS['SOBE']->doc->bgColor, -20), // Background for the field header
-			t3lib_div::modifyHTMLColorAll($GLOBALS['SOBE']->doc->bgColor,-10),	// Background for the palette field header
+			t3lib_div::modifyHTMLColorAll($GLOBALS['SOBE']->doc->bgColor, -10), // Background for the palette field header
-			'black',	// Field header font color
+			'black', // Field header font color
-			'#666666'	// Palette field header font color
+			'#666666' // Palette field header font color
 		);
 		$this->defColorScheme = array();
 
@@ -358,24 +343,24 @@
 		);
 
 			// Create instance of t3lib_TCEforms_inline only if this a non-IRRE-AJAX call:
-		if (!isset($GLOBALS['ajaxID']) || strpos($GLOBALS['ajaxID'], 't3lib_TCEforms_inline::')!==0) {
+		if (!isset($GLOBALS['ajaxID']) || strpos($GLOBALS['ajaxID'], 't3lib_TCEforms_inline::') !== 0) {
 			$this->inline = t3lib_div::makeInstance('t3lib_TCEforms_inline');
 		}
 			// Create instance of t3lib_TCEforms_suggest only if this a non-Suggest-AJAX call:
-		if (!isset($GLOBALS['ajaxID']) || strpos($GLOBALS['ajaxID'], 't3lib_TCEforms_suggest::')!==0) {
+		if (!isset($GLOBALS['ajaxID']) || strpos($GLOBALS['ajaxID'], 't3lib_TCEforms_suggest::') !== 0) {
 			$this->suggest = t3lib_div::makeInstance('t3lib_TCEforms_suggest');
 		}
 
 			// Prepare user defined objects (if any) for hooks which extend this function:
 		$this->hookObjectsMainFields = array();
-		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getMainFieldsClass']))	{
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getMainFieldsClass'])) {
-			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getMainFieldsClass'] as $classRef)	{
+			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getMainFieldsClass'] as $classRef) {
 				$this->hookObjectsMainFields[] = t3lib_div::getUserObj($classRef);
 			}
 		}
 		$this->hookObjectsSingleField = array();
-		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getSingleFieldClass']))	{
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getSingleFieldClass'])) {
-			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getSingleFieldClass'] as $classRef)	{
+			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getSingleFieldClass'] as $classRef) {
 				$this->hookObjectsSingleField[] = t3lib_div::getUserObj($classRef);
 			}
 		}
@@ -389,7 +374,7 @@
 	 *
 	 * @return	void
 	 */
-	function initDefaultBEmode()	{
+	function initDefaultBEmode() {
 		global $BE_USER;
 		$this->prependFormFieldNames = 'data';
 		$this->formName = 'editform';
@@ -398,28 +383,13 @@
 		$this->edit_showFieldHelp = $BE_USER->uc['edit_showFieldHelp'];
 
 		$this->edit_docModuleUpload = $BE_USER->uc['edit_docModuleUpload'];
-		$this->titleLen = $BE_USER->uc['titleLen'];		// @deprecated since TYPO3 4.1
+		$this->titleLen = $BE_USER->uc['titleLen']; // @deprecated since TYPO3 4.1
 
 		$this->inline->init($this);
 		$this->suggest->init($this);
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*******************************************************
 	 *
 	 * Rendering the forms, fields etc
@@ -437,25 +407,25 @@
 	 * @return	string		HTML output
 	 * @see getMainFields()
 	 */
-	function getSoloField($table,$row,$theFieldToReturn)	{
+	function getSoloField($table, $row, $theFieldToReturn) {
 		global $TCA;
 
-		if ($TCA[$table])	{
+		if ($TCA[$table]) {
 			t3lib_div::loadTCA($table);
-			$typeNum = $this->getRTypeNum($table,$row);
+			$typeNum = $this->getRTypeNum($table, $row);
-			if ($TCA[$table]['types'][$typeNum])	{
+			if ($TCA[$table]['types'][$typeNum]) {
 				$itemList = $TCA[$table]['types'][$typeNum]['showitem'];
-				if ($itemList)	{
+				if ($itemList) {
-					$fields = t3lib_div::trimExplode(',',$itemList,1);
+					$fields = t3lib_div::trimExplode(',', $itemList, 1);
-					$excludeElements = $this->excludeElements = $this->getExcludeElements($table,$row,$typeNum);
+					$excludeElements = $this->excludeElements = $this->getExcludeElements($table, $row, $typeNum);
 
-					foreach($fields as $fieldInfo) {
+					foreach ($fields as $fieldInfo) {
-						$parts = explode(';',$fieldInfo);
+						$parts = explode(';', $fieldInfo);
 
 						$theField = trim($parts[0]);
-						if (!in_array($theField,$excludeElements) && !strcmp($theField,$theFieldToReturn))	{
+						if (!in_array($theField, $excludeElements) && !strcmp($theField, $theFieldToReturn)) {
-							if ($TCA[$table]['columns'][$theField])	{
+							if ($TCA[$table]['columns'][$theField]) {
-								$sField = $this->getSingleField($table,$theField,$row,$parts[1],1,$parts[3],$parts[2]);
+								$sField = $this->getSingleField($table, $theField, $row, $parts[1], 1, $parts[3], $parts[2]);
 								return $sField['ITEM'];
 							}
 						}
@@ -475,30 +445,30 @@
 	 * @return	string		HTML output
 	 * @see getSoloField()
 	 */
-	function getMainFields($table,$row,$depth=0)	{
+	function getMainFields($table, $row, $depth = 0) {
 		global $TCA, $TYPO3_CONF_VARS;
 
-		$this->renderDepth=$depth;
+		$this->renderDepth = $depth;
 
 			// Init vars:
 		$out_array = array(array());
 		$out_array_meta = array(array(
-			'title' => $this->getLL('l_generalTab')
-		));
+									'title' => $this->getLL('l_generalTab')
+								));
 
-		$out_pointer=0;
+		$out_pointer = 0;
-		$out_sheet=0;
+		$out_sheet = 0;
-		$this->palettesRendered=array();
+		$this->palettesRendered = array();
-		$this->palettesRendered[$this->renderDepth][$table]=array();
+		$this->palettesRendered[$this->renderDepth][$table] = array();
 
 			// Hook: getMainFields_preProcess (requested by Thomas Hempel for use with the "dynaflex" extension)
-		foreach ($this->hookObjectsMainFields as $hookObj)	{
+		foreach ($this->hookObjectsMainFields as $hookObj) {
-			if (method_exists($hookObj,'getMainFields_preProcess'))	{
+			if (method_exists($hookObj, 'getMainFields_preProcess')) {
-				$hookObj->getMainFields_preProcess($table,$row,$this);
+				$hookObj->getMainFields_preProcess($table, $row, $this);
 			}
 		}
 
-		if ($TCA[$table])	{
+		if ($TCA[$table]) {
 
 				// Load the full TCA for the table.
 			t3lib_div::loadTCA($table);
